import { IFields, CallValidateFunctionsType, CallSubscriptionsType, ErrorsType, PickPropType, FormBuilderPropTypes, IField } from './types';
import { ReturnTypeValidator } from './Validators';
export declare const checkUnTouchedFields: (fields: IFields) => {
    fieldsToSubmit: Record<string, any>;
    fieldsWithError: IFields;
    validFormAfterValidateUntouchedFields: boolean;
};
export declare const checkValidFieldsAndForm: (nextFields: IFields, invalidFields: Set<string>) => {
    invalidFields: Set<string>;
    valid: boolean;
};
export declare function callValidateFunctions({ value, errorMessage, validate, }: CallValidateFunctionsType): ReturnTypeValidator;
export declare const callSubscriptions: CallSubscriptionsType;
export declare const setNewFieldsErrors: (errors: ErrorsType, fields: IFields) => {
    [x: string]: IField;
};
export declare const setExtraFieldsProps: (extraFieldsProps: PickPropType<FormBuilderPropTypes, 'extraFieldsProps'>, fields: IFields) => {
    [x: string]: IField;
};
export declare const setExtraFieldProps: (extraFieldsProps: PickPropType<FormBuilderPropTypes, 'extraFieldsProps'>, field: IField) => {
    value: any;
    extraFieldProps: any;
    name: string;
    error?: any;
    validate?: import("./types").ValidateType;
    touched?: boolean;
    errorMessage?: import("./types").ErrorMessageType;
};
