"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSubmit = void 0;
var _react = require("react");
var _FormBuilder = require("../FormBuilder");
const useSubmit = () => {
  const context = (0, _react.useContext)(_FormBuilder.FormContext);
  if (!context.onSubmit) {
    throw new Error('The useSubmit must be inside the FormBuilder');
  }
  return {
    onSubmit: context.onSubmit
  };
};
exports.useSubmit = useSubmit;